Package org.apache.batchee.container.services.factory

## Class CDIBatchArtifactFactory

- java.lang.Object
- - org.apache.batchee.container.services.factory.DefaultBatchArtifactFactory
  - - org.apache.batchee.container.services.factory.CDIBatchArtifactFactory

- All Implemented Interfaces:
    `XMLStreamConstants`, `BatchArtifactFactory`, `BatchService`

      public class CDIBatchArtifactFactory
      extends DefaultBatchArtifactFactory

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.batchee.container.services.factory.DefaultBatchArtifactFactory

      `DefaultBatchArtifactFactory.ArtifactLocator`

    - ### Nested classes/interfaces inherited from interface org.apache.batchee.spi.BatchArtifactFactory

      `BatchArtifactFactory.Instance`

  - ### Field Summary

    - ### Fields inherited from interface javax.xml.stream.XMLStreamConstants

      `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDIBatchArtifactFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected javax.enterprise.inject.spi.BeanManager` | `getBeanManager()` |
    `void` | `init​(Properties batchConfig)` |
    `BatchArtifactFactory.Instance` | `load​(String batchId)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.apache.batchee.container.services.factory.DefaultBatchArtifactFactory

      `createArtifactsLocator, populateArtifactMapFromStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CDIBatchArtifactFactory

          public CDIBatchArtifactFactory()

  - ### Method Detail

    - #### load

          public BatchArtifactFactory.Instance load​(String batchId)

      Specified by:
        `load` in interface `BatchArtifactFactory`
      Overrides:
        `load` in class `DefaultBatchArtifactFactory`
      Parameters:
        `batchId` - The value of a @ref attribute in a JSL element, e.g. 'batchlet'
      Returns:
        An object instance of the artifact.

    - #### init

          public void init​(Properties batchConfig)
                    throws BatchContainerServiceException

      Specified by:
        `init` in interface `BatchService`
      Overrides:
        `init` in class `DefaultBatchArtifactFactory`
      Throws:
        `BatchContainerServiceException`

    - #### getBeanManager

          protected javax.enterprise.inject.spi.BeanManager getBeanManager()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`